# Moving money using OutboundPayment v2 objects Learn how to create outbound payments to move money out of financial accounts to third parties. > Moving money with OutboundPayment v2 objects is only available if you’re in the interoperability private preview. To request access, contact your Technical Account Manager. `OutboundPayment` objects represent push-based transfers from your financial account to a third-party external account using ACH or wire transfer or another financial account associated with the same platform instantly using the `stripe` network. For example, if you want to send money from your financial account to your vendor’s external US bank account, you create an `OutboundPayment` to move the funds. The receiving account for an `OutboundPayment` is either an external bank account or a financial account that belongs to a different connected account. The typical transfer time for outbound payments can range from minutes (when using the Stripe network), same day, to 1-2 business days (when using the ACH network). For more information, see the [Money movement timelines](https://docs.stripe.com/treasury/connect/money-movement/timelines.md#outboundpayment-and-outboundtransfer-transactions) guide. ## Create an OutboundPayment ## Collect required fields First, get your FinancialAccount ID using the [FinancialAccount API](https://docs.stripe.com/api/treasury/financial_accounts.md). You can also view your available funds. ```curl curl https://api.stripe.com/v1/treasury/financial_accounts \ -u "<>:" ``` Then, use the [Accounts v2 API](https://docs.stripe.com/api/v2/core/accounts.md) to retrieve the recipient account’s `recipient` configuration and verify that the `status` of the desired payout method capability is set to `active`. This ensures you have all the required information to complete a payout. Otherwise, your payout might fail. Learn more about [managing recipients](https://docs.stripe.com/treasury/connect/using-v2-with-v1/manage-external-recipients.md). ```curl curl -X POST https://api.stripe.com/v2/core/accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "contact_email": "jenny.rosen@example.com", "display_name": "Jenny Rosen", "identity": { "country": "us", "entity_type": "individual" }, "configuration": { "recipient": { "capabilities": { "bank_accounts": { "local": { "requested": true } } } } }, "include": [ "identity", "configuration.recipient", "requirements" ] }' ``` ```json { "id": "acct_1R826uQgVatBcAVX", "object": "v2.core.account", "applied_configurations": [ "recipient" ], "configuration": { "customer": null, "merchant": null, "recipient": { "capabilities": { "bank_accounts": { "local": { "requested": true, "status": "active", "status_details": [] }, "wire": null, "instant": null }, "cards": null, "stripe_balance": null, "paper_checks": null }, "default_outbound_destination": null } }, "contact_email": "jenny.rosen@example.com", "created": "2025-03-29T16:19:53.000Z", "dashboard": null, "identity": { "attestations": { "directorship_declaration": null, "ownership_declaration": null, "persons_provided": { "directors": null, "executives": null, "owners": null, "ownership_exemption_reason": null }, "terms_of_service": { "account": null } }, "business_details": null, "country": "us", "entity_type": "individual", "individual": null }, "defaults": null, "display_name": "Jenny Rosen", "metadata": {}, "requirements": { "collector": "stripe", "entries": [], "summary": null } } ``` You can optionally use the Payout Methods v2 API with the recipient ID to inspect available payout methods. The response contains a list of `PayoutMethod` objects that a recipient owns. Use the [Accounts v2 API](https://docs.stripe.com/api/v2/core/accounts/update.md) to set a `PayoutMethod` as the default outbound destination with `configuration.recipient.default_outbound_destination`. The Stripe-Context header in this request must be the `Account` ID of the connected account + forward slash + the `Account` ID of the recipient (for example, `acct_111a/acct_111b`). ```curl curl https://api.stripe.com/v2/money_management/payout_methods \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ -H "Stripe-Context: {{CONTEXT_ID}}" ``` ## Submit a payout Use the [OutboundPayments API v2](https://docs.stripe.com/api/v2/money-management/outbound-payments.md?api-version=preview) to make a payout to a recipient. You must provide the following parameters to create a payout: | Required information | API parameter | | ------------------------------------------------ | ------------------- | | Financial Account ID | `financial_account` | | Recipient ID | `recipient` | | (Optional) Payout method | `to.payout_method` | | Amount in minor units (for example, 100 = 1 USD) | `amount.value` | | Currency | `amount.currency` | ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "recipient": "{{ACCOUNTIDGLOBALPAYOUTS_ID}}", "payout_method": "{{PAYOUTMETHODID_ID}}" }, "amount": { "value": 1999, "currency": "usd" }, "description": "Streamer earnings" }' ``` ### Submit a paper check (Private preview) To send a paper check, provide a signature in the `delivery_options.paper_check.signature` field. Optionally, provide a memo and specify a shipping speed in `delivery_options.paper_check.memo` and `delivery_options.paper_check.shipping_speed` fields respectively. You don’t need to use the `to.payout_method` field when submitting a paper check. Both `delivery_options.paper_check.signature` and `delivery_options.paper_check.memo` are printed on the check. ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "recipient": "{{ACCOUNTIDGLOBALPAYOUTS_ID}}" }, "amount": { "value": 1999, "currency": "usd" }, "description": "Streamer earnings", "delivery_options": { "paper_check": { "signature": "Jenny Rosen", "memo": "Streamer earnings", "shipping_speed": "standard" } } }' ``` #### Add attachments to a paper check You can include a PDF attachment with a paper check, such as an invoice or receipt. Stripe supports PDF files only. The maximum page count depends on the shipping speed: 5 pages for standard shipping and 50 pages for priority shipping. Upload the file with the [Files API](https://docs.stripe.com/api/files.md) and set `purpose` to `paper_check_attachment`. You must include the `Stripe-Account` header and set it to the connected account ID that owns the financial account. ```bash curl https://files.stripe.com/v1/files \ -u "{{SECRET_KEY}}:" \ -H "Stripe-Account: {{CONNECTED_ACCOUNT_ID}}" \ -F purpose=paper_check_attachment \ -F "file=@/path/to/document.pdf" ``` Pass the returned file ID in `delivery_options.paper_check.attachment` when you create the outbound payment. ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "recipient": "{{ACCOUNTIDGLOBALPAYOUTS_ID}}" }, "amount": { "value": 1999, "currency": "usd" }, "description": "Streamer earnings", "delivery_options": { "paper_check": { "signature": "Jenny Rosen", "memo": "Streamer earnings", "shipping_speed": "standard", "attachment": "{{FILE_ID}}" } } }' ``` ## Inspect payout status Call the OutboundPayments API v2 to inspect payouts, including their status. Specify using the `OutboundPaymentID` in the OutboundPayments API v2 call. ```curl curl https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` Learn more about [managing payouts](https://docs.stripe.com/global-payouts/manage-payouts.md). ### Possible payout statuses The following table describes the possible payout statuses. | Status | Description | | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | processing | The starting state of the payout. Funds allocate to a pending transaction and remain part of the current `outbound_pending` balance. If the value of the cancelable parameters is set to `true`, you can cancel the payout. | | failed | The payout failed. Stripe voids the pending transaction and returns the funds to you. | | canceled | The payout was canceled before it posted. Stripe voids the pending transaction and returns the funds to you. | | posted | The payout posts and funds leave the FinancialAccount. Posted doesn’t guarantee that your recipient has received money, because their bank might delay the release of funds. If a payout is posted but the recipient hasn’t received money, instruct them to wait several business days or to inquire with their bank. | | returned | The payout failed to arrive at the destination. Stripe returns the funds to you in a separate transaction (`returned_details[transaction]`). To see the return reason, on the [Global Payouts](https://dashboard.stripe.com/global-payouts/payouts) page, click the payout in the list view and see the return reason listed in the **Timeline** section. You can also view return reasons in [OutboundPayments](https://docs.stripe.com/api/v2/money-management/outbound-payments/create.md?api-version=preview#v2_create_outbound_payments-response-status_details-returned). Payouts are typically returned within 2-3 business days, but might take longer depending on the recipient country. | ### Track status of paper checks Paper checks have additional information such as tracking details to help you know its location at any time. These fields populate under `tracking_details.paper_check`. | Field | Description | | --------------------- | -------------------------------------------------------------------------------- | | `tracking_number` | The tracking number from the carrier. | | `carrier` | The carrier delivering the check. | | `tracking_status` | The status of the delivery of the check: `delivered`, `mailed`, or `in_transit`. | | `current_postal_code` | The postal code where the check is currently at. | | `check_number` | The number printed on the check. | | `mailing_address` | The destination of the check. | | `updated_at` | The last time `tracking_details.paper_check` was updated. | ## Statement descriptors Statement descriptors explain charges or payments on bank statements. By default, a payout recipient sees [your account’s statement descriptor](https://docs.stripe.com/get-started/account/statement-descriptors.md#static). ### Customize statement descriptors (Private preview) You can customize the descriptor for each payout when you create it. [Contact support](https://support.stripe.com/) to get access to this preview feature. #### Dashboard When [creating a payout](https://docs.stripe.com/global-payouts/send-money.md#send-money-to-recipients) in the Dashboard, enter a custom statement descriptor in the **Statement descriptor** field. #### API When creating an OutboundPayment, set `statement_descriptor` to a custom statement descriptor. ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "recipient": "{{ACCOUNTIDGLOBALPAYOUTS_ID}}" }, "amount": { "value": 1999, "currency": "usd" }, "description": "Streamer earnings", "statement_descriptor": "Payment for streaming" }' ``` ## Payout amounts Review the following tables to learn the minimum and maximum payout amounts for each country. Keep in mind the following when considering minimum payout amounts: - The minimum amount applies regardless of whether the currency is the source or destination currency. - The minimum amount in the API request must be in minor units. For example, enter 1 USD as 100. - The source and destination currencies must both pass the minimum payout amounts. For example, if you’re a US business funding a cross-border payout in USD to a recipient in South Africa who will receive ZAR, you must meet the minimums for both USD (0.01 USD) and ZAR (100 ZAR). If you tried to send 3 USD (passes USD minimum) to a South African recipient, the payout would fail because 3 USD = 55.63 ZAR, which fails the ZAR minimum. ### Minimum sending amounts | Sending country | Sending currency | Minimum payout amount (major units) | Minimum payout amount ([minor units](https://docs.stripe.com/currencies.md#minor-units) for API) | | --------------- | ---------------- | ----------------------------------- | ------------------------------------------------------------------------------------------------ | | United States | USD | 0.01 USD | 1 | | USDC | 1 USDC | 10000001 | | United Kingdom | GBP | 0.01 GBP | 1 | | EUR | 0.01 EUR | 1 | | USD | 0.01 USD | 1 | 1 USDC supports 6 decimal places, so 1 USDC = 1000000 expressed in [minor units](https://docs.stripe.com/currencies.md#minor-units). ### Maximum sending amounts | Sending country | Sending currency | Payout method | Maximum payout amount (major units) | Maximum payout amount ([minor units](https://docs.stripe.com/currencies.md#minor-units) for the API) | | --------------- | ---------------- | ------------- | ----------------------------------- | ---------------------------------------------------------------------------------------------------- | | United States | USD | Wire | 10,000,000 USD | 1000000000 | | Standard | 1,000,000 USD | 100000000 | | Instant | 9,999 USD | 999900 | | United Kingdom | GBP | Standard | 1,000,000 GBP | 100000000 | | USD | Standard | 1,000,000 USD | 100000000 | ### Recipient maximums | Recipient country | Currency | Maximum payout amount (major units) | Maximum payout amount (minor units for API) | | ----------------- | -------- | ----------------------------------- | ------------------------------------------- | | Benin | XOF | 50,000,000 XOF | 50000000 | | Côte d’Ivoire | XOF | 50,000,000 XOF | 50000000 | | India | INR | 10,000,000.00 INR | 1000000000 | | Indonesia | IDR | 1,000,000,000.00 IDR | 100000000000 | | Israel | ILS | 1,000,000.00 ILS | 100000000 | | Kenya | KES | 1,000,000.00 KES | 100000000 | | Morocco | MAD | 9,999,999.99 MAD | 999999999 | | Norway | NOK | 10,000,000.00 NOK | 1000000000 | | Peru | PEN | 310,000.00 PEN | 31000000 | | Romania | RON | 50,000.00 RON | 5000000 | | Senegal | XOF | 50,000,000 XOF | 50000000 | | South Africa | ZAR | 5,000,000.00 ZAR | 500000000 | | Sweden | SEK | 10,000,000.00 SEK | 1000000000 | | Tunisia | TND | 100,000.000 TND | 100000000 | ### Recipient minimums | Recipient country | Currency | Minimum payout amount (major units) | Minimum payout amount ([minor units](https://docs.stripe.com/currencies.md#minor-units) for the API) | | ---------------------- | -------- | ----------------------------------- | ---------------------------------------------------------------------------------------------------- | | Albania | ALL | 3000.00 ALL | 300000 | | Algeria | DZD | 1.00 DZD | 100 | | Antigua and Barbuda | XCD | 0.04 XCD | 4 | | Armenia | AMD | 12100.00 AMD | 1210000 | | Australia | AUD | 0.01 AUD | 1 | | Austria | EUR | 0.01 EUR | 1 | | Bahrain | BHD | 0.005 BHD | 5 | | Bahamas | BSD | 25 BSD | 2500 | | Belgium | EUR | 0.01 EUR | 1 | | Benin | XOF | 1 XOF | 1 | | Bhutan | BTN | 2500.00 BTN | 250000 | | Bosnia and Herzegovina | BAM | 50 BAM | 5000 | | Botswana | BWP | 1.00 BWP | 100 | | Brunei | BND | 1.00 BND | 100 | | Bulgaria | EUR | 0.01 EUR | 1 | | Canada | CAD | 0.01 CAD | 1 | | Costa Rica | CRC | 7 CRC | 700 | | Côte d’Ivoire | XOF | 1 XOF | 1 | | Croatia | EUR | 0.01 EUR | 1 | | Cyprus | EUR | 0.01 EUR | 1 | | Czech Republic | EUR | 0.01 EUR | 1 | | Denmark | DKK | 0.01 DKK | 1 | | Ecuador | USD | 1 USD | 100 | | El Salvador | USD | 30 USD | 3000 | | Estonia | EUR | 0.01 EUR | 1 | | Ethiopia | ETB | 1 ETB | 100 | | Finland | EUR | 0.01 EUR | 1 | | France | EUR | 0.01 EUR | 1 | | Gambia | GMD | 1900.00 GMD | 190000 | | Germany | EUR | 0.01 EUR | 1 | | Greece | EUR | 0.01 EUR | 1 | | Guatemala | GTQ | 1.00 GTQ | 100 | | Guyana | GYD | 6300.00 GYD | 630000 | | Hong Kong | HKD | 20.00 HKD | 2000 | | Hungary | HUF | 0.01 HUF | 1 | | Iceland | EUR | 0.01 EUR | 1 | | Indonesia | IDR | 0.01 IDR | 1 | | Ireland | EUR | 0.01 EUR | 1 | | Israel | ILS | 0.01 ILS | 1 | | Italy | EUR | 0.01 EUR | 1 | | Jamaica | JMD | 0 JMD | 0 | | Jordan | JOD | 0.010 JOD | 10 | | Kenya | KES | 20 KES | 2000 | | Kuwait | KWD | 1.000 KWD | 1000 | | Latvia | EUR | 0.01 EUR | 1 | | Liechtenstein | EUR | 0.01 EUR | 1 | | Lithuania | EUR | 0.01 EUR | 1 | | Luxembourg | EUR | 0.01 EUR | 1 | | Madagascar | MGA | 132300.00 MGA | 13230000 | | Malaysia | MYR | 133.00 MYR | 13300 | | Malta | EUR | 0.01 EUR | 1 | | Mauritius | MUR | 0.01 MUR | 1 | | Mexico | MXN | 0.01 MXN | 1 | | Morocco | MAD | 0.01 MAD | 1 | | Moldova | MDL | 500.00 MDL | 50000 | | Mongolia | MNT | 105000 MNT | 10500000 | | Mozambique | MZN | 1600.00 MZN | 160000 | | Namibia | NAD | 500 NAD | 50000 | | Netherlands | EUR | 0.01 EUR | 1 | | New Zealand | NZD | 0.01 NZD | 1 | | North Macedonia | MKD | 1500.00 MKD | 150000 | | Norway | NOK | 0.01 NOK | 1 | | Oman | OMR | 0.005 OMR | 5 | | Pakistan | PKR | 4 PKR | 400 | | Panama | USD | 50 USD | 5000 | | Peru | PEN | 0.05 PEN | 5 | | Philippines | PHP | 0.01 PHP | 1 | | Poland | PLN | 0.01 PLN | 1 | | Portugal | EUR | 0.01 EUR | 1 | | Qatar | QAR | 1.00 QAR | 100 | | Romania | RON | 0.01 RON | 1 | | Rwanda | RWF | 100 RWF | 100 | | Saint Lucia | XCD | 0.04 XCD | 4 | | Senegal | XOF | 1 XOF | 1 | | Serbia | RSD | 3000 RSD | 300000 | | Singapore | SGD | 0.01 SGD | 1 | | Slovakia | EUR | 0.01 EUR | 1 | | Slovenia | EUR | 0.01 EUR | 1 | | South Africa | ZAR | 100 ZAR | 10000 | | Spain | EUR | 0.01 EUR | 1 | | Sri Lanka | LKR | 1.00 LKR | 100 | | Sweden | SEK | 0.01 SEK | 1 | | Switzerland | EUR | 0.01 EUR | 1 | | Taiwan | TWD | 800.00 TWD | 80000 | | Tanzania | TZS | 35.00 TZS | 3500 | | Thailand | THB | 600.00 THB | 60000 | | Trinidad and Tobago | TTD | 0.10 TTD | 10 | | Tunisia | TND | 0.001 TND | 1 | | Turkey | TRY | 5 TRY | 500 | | United Arab Emirates | AED | 5.00 AED | 500 | | United Kingdom | GBP | 0.01 GBP | 1 | | United States | USD | 0.01 USD | 1 | | Uzbekistan | UZS | 343000 UZS | 34300000 | | Vietnam | VND | 81125 VND | 81125 | ## NACHA payroll compliance When sending funds for payroll purposes to recipients in the US with ACH, NACHA rules require the originator to explicitly identify the payouts as such. When sending an OutboundPayment, set the `purpose` parameter to `payroll` to ensure compliance with this requirement. ## Payout timing | Recipient location | Payout method | Capability | Expected arrival time | | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- | --------------------- | -------------------------------------- | | United States | Standard | `bank_accounts.local` | Typically 2-3 business days | | United States | Wire | `bank_accounts.wire` | Typically 1 business day | | United States | Instant | `cards` | Immediate | | Outside of the United States ([available countries](https://docs.stripe.com/global-payouts/recipient-creation-options.md#requirements-for-supported-recipient-countries)) | Standard | Varies by country | Typically 1-7 days (varies by country) | ### Wire transfer routing numbers Some banks might use a separate wire transfer routing number that differs from ACH. Consequently, you might receive an error during wire creation if the routing number on the payment method doesn’t support wire transfers. If you receive this error, you need to add a new payment method with your bank’s wire routing number. ### RTP routing requirements Real-Time Payments (RTP) use the same routing numbers as ACH transfers. However, not all banks support RTP. If you receive an error during RTP payout creation, the recipient’s bank might not support RTP, and you should use ACH (`bank_accounts.local`) or wire (`bank_accounts.wire`) instead. ## Create an OutboundPayment to a financial account To move money between financial accounts, call [POST /v2/money_management/outbound_payments](https://docs.stripe.com/api/v2/money-management/outbound-payments/create.md?api-version=2025-09-30.preview&rds=1) on the origin account and specify the destination account in the `destination_payment_method_data` parameter. Both financial accounts must be associated with the same platform, but can’t be associated with the same connected account. To transfer money between financial accounts associated with the same connected account, use an [OutboundTransfer](https://docs.stripe.com/treasury/connect/moving-money/out-of/outbound-transfers.md). ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "recipient": "{{ACCOUNTIDGLOBALPAYOUTS_ID}}" }, "amount": { "value": 1999, "currency": "usd" }, "description": "Streamer earnings" }' ``` The body of your request must be `x-www-form-urlencoded`, but the following JSON defines the data you can send. #### JSON (commented) ```json { // The source FinancialAccount. Funds are pulled from this account. "financial_account": "{{SOURCE_FINANCIAL_ACCOUNT_ID}}", // The amount to send. "amount": 1000, "currency": "usd", // The destination payment method. This parameter is the only way to // send an OutboundPayment through the `stripe` network. "destination_payment_method_data": { "type": "financial_account", "financial_account": "{{DESTINATION_FINANCIAL_ACCOUNT_ID}}" }, // Optional. The Customer represents the recipient of the OutboundPayment. "customer": null | "{{CUSTOMER_ID}}", // An internal description for the OutboundPayment. "description": null | "Testing", // A descriptor for the OutboundPayment to send to the `stripe` network. // Maximum 500 characters. "statement_descriptor": "Test outbound payment to FA", "end_user_details": { // When making requests on behalf of a user, set `end_user_details.present=true` // and pass the user's IP address. // If the request is on behalf of yourself (initiating transfers out of your // FinancialAccounts), `end_user_details.present` should be set to `false` "present": true | false, // You are required to collect the IP address of the creator of this transfer for // risk and compliance reasons. This will be used to help determine if this transfer // is authorized or should be blocked. "ip_address": "127.0.0.1" }, // We will not support updating OutboundPayments after creation. As such, the // metadata can only be set at creation time. "metadata": null | {{Hash}}, } ``` ## Cancel an OutboundPayment Use [POST /v2/money_management/outbound_payments/{{OUTBOUND_PAYMENT_ID}}/cancel](https://docs.stripe.com/api/v2/money-management/outbound-payments/cancel.md?api-version=2025-09-30.preview&rds=1) to cancel the `OutboundPayment` with the associated ID. The `OutboundPayment` object includes a `cancelable` parameter with a Boolean value to indicate whether you can cancel the transfer. After an `OutboundPayment` submits to the network, the `cancelable` value becomes `false` and you receive an error from this endpoint for that transfer. ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_payments/{{OUTBOUND_PAYMENT_ID}}/cancel \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ -H "Stripe-Account: {{CONNECTEDACCOUNT_ID}}" ``` If successful, the response returns the `OutboundPayment` object with the `status` value set to `canceled`. ```json { "id": "{{OUTBOUND_PAYMENT_ID}}", "object": "outbound_payment", "livemode": false, "created": 123456, "financial_account": "{{FINANCIAL_ACCOUNT_ID}}", "amount": 1000, "currency": "usd", ... "status": "canceled", "status_transitions": { "processing_at": null, "canceled_at": 123456, "failed_at": null, "posted_at": null, "returned_at": null }, ... } ``` ## Test OutboundPayments To confirm your integration works, you can simulate sending payouts in a test environment. ### Sandboxes In the Stripe Dashboard, use a sandbox to test functionality without affecting your live integration. Learn more about working in [Sandboxes](https://docs.stripe.com/sandboxes.md). 1. Create a [sandbox environment](https://docs.stripe.com/sandboxes/dashboard/manage.md#create-a-sandbox) and switch to it. 1. [Enable Issuing and Treasury](https://dashboard.stripe.com/setup/treasury/activate) for platforms on the sandbox in the Dashboard. 1. In the sandbox, [create a connected account](https://dashboard.stripe.com/test/connect/accounts/overview) to start testing. ### Use sandbox API key Use a [sandbox API key](https://docs.stripe.com/keys.md) to test your integration. Sandbox API keys contain the `sk_test_ prefix` and live mode secret keys contain the `sk_live_` prefix. Keys associated with a sandbox can only operate on objects in that sandbox. 1. Navigate to **Developers**, and click **API keys**. 1. Under **Standard keys**, locate your secret test key. ## Create recipient and send money After enabling OutboundPayments on your sandbox and funding the sandbox financial account, you can create recipients and send money to them. Use test payout credentials to test different scenarios in your sandboxes. You can’t use these test accounts in live mode. ### Test bank account numbers If you’re in a sandbox, you can use `SM11AA` as the verification code. #### Recipient country - Albania | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | ------------------------------ | ------------------------------------------------ | | `AAAAALTXXXX` | `AL35202111090000000001234567` | Payout succeeds. | | `AAAAALTXXXX` | `AL45203212081330011330011330` | Payout fails with a `no_account` code. | | `AAAAALTXXXX` | `AL31203212081330021330021330` | Payout fails with an `account_closed` code. | | `AAAAALTXXXX` | `AL17203212081330031330031330` | Payout fails with a `insufficient_funds` code. | | `AAAAALTXXXX` | `AL03203212081330041330041330` | Payout fails with a `debit_not_authorized` code. | | `AAAAALTXXXX` | `AL86203212081330051330051330` | Payout fails with an `invalid_currency` code. | #### Recipient country - Antigua and Barbuda | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAAAGAGXYZ` | `005555555558` | Payout succeeds. | | `AAAAAGAGXYZ` | `001111111116` | Payout fails with a `no_account` code. | | `AAAAAGAGXYZ` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAAAGAGXYZ` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAAGAGXYZ` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAAGAGXYZ` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Algeria | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ---------------------- | ------------------------------------------------ | | `AAAADZDZXXX` | `00001234567890123456` | Payout succeeds. | | `AAAADZDZXXX` | `00001001001111111116` | Payout fails with a `no_account` code. | | `AAAADZDZXXX` | `00001001001111111113` | Payout fails with an `account_closed` code. | | `AAAADZDZXXX` | `00001001002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAADZDZXXX` | `00001001003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAADZDZXXX` | `00001001004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Armenia | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAAAMNNXXX` | `00001234567` | Payout succeeds. | | `AAAAAMNNXXX` | `11111111116` | Payout fails with a `no_account` code. | | `AAAAAMNNXXX` | `11111111113` | Payout fails with an `account_closed` code. | | `AAAAAMNNXXX` | `22222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAAMNNXXX` | `33333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAAMNNXXX` | `44444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Australia | Routing number | Account number | Behavior | | -------------- | -------------- | ------------------------------------------------ | | `110000` | `000123456` | Payout succeeds. | | `110000` | `111111116` | Payout fails with a `no_account` code. | | `110000` | `111111113` | Payout fails with an `account_closed` code. | | `110000` | `222222227` | Payout fails with a `insufficient_funds` code. | | `110000` | `333333335` | Payout fails with a `debit_not_authorized` code. | | `110000` | `444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Austria | IBAN | Behavior | | ---------------------- | ------------------------------------------------ | | `AT891400013300013300` | Payout succeeds. | | `AT841400013300113300` | Payout fails with a `no_account` code. | | `AT791400013300213300` | Payout fails with an `account_closed` code. | | `AT741400013300313300` | Payout fails with a `insufficient_funds` code. | | `AT691400013300413300` | Payout fails with a `debit_not_authorized` code. | | `AT641400013300513300` | Payout fails with an `invalid_currency` code. | #### Recipient country - Bahrain | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | ------------------------ | ------------------------------------------------ | | `AAAABHBMXYZ` | `BH29BMAG1299123456BH00` | Payout succeeds. | | `AAAABHBMXYZ` | `BH32ALSA13300113300113` | Payout fails with a `no_account` code. | | `AAAABHBMXYZ` | `BH92ALSA13300213300213` | Payout fails with an `account_closed` code. | | `AAAABHBMXYZ` | `BH55ALSA13300313300313` | Payout fails with a `insufficient_funds` code. | | `AAAABHBMXYZ` | `BH18ALSA13300413300413` | Payout fails with a `debit_not_authorized` code. | | `AAAABHBMXYZ` | `BH78ALSA13300513300513` | Payout fails with an `invalid_currency` code. | #### Recipient country - The Bahamas | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | --------- | ------------------------------------------------ | | `AAAABSNSXXX` | `0001234` | Payout succeeds. | | `AAAABSNSXXX` | `1111116` | Payout fails with a `no_account` code. | | `AAAABSNSXXX` | `1111113` | Payout fails with an `account_closed` code. | | `AAAABSNSXXX` | `2222227` | Payout fails with a `insufficient_funds` code. | | `AAAABSNSXXX` | `3333335` | Payout fails with a `debit_not_authorized` code. | | `AAAABSNSXXX` | `4444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Belgium | IBAN | Behavior | | ------------------ | ------------------------------------------------ | | `BE62510007547061` | Payout succeeds. | | `BE37510133000133` | Payout fails with a `no_account` code. | | `BE91510013002013` | Payout fails with an `account_closed` code. | | `BE57510013003013` | Payout fails with a `insufficient_funds` code. | | `BE23510013004013` | Payout fails with a `debit_not_authorized` code. | | `BE86510013005013` | Payout fails with an `invalid_currency` code. | #### Recipient country - Bhutan | SWIFT / BIC Code | Account number | Behavior | | ---------------- | --------------- | ------------------------------------------------ | | `AAAABTBTXXX` | `0000123456789` | Payout succeeds. | | `AAAABTBTXXX` | `0000000011116` | Payout fails with a `no_account` code. | | `AAAABTBTXXX` | `0000000011113` | Payout fails with an `account_closed` code. | | `AAAABTBTXXX` | `0000000022227` | Payout fails with a `insufficient_funds` code. | | `AAAABTBTXXX` | `0000000033335` | Payout fails with a `debit_not_authorized` code. | | `AAAABTBTXXX` | `0000000044440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Benin | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `BJ66BJ0610100100144390000769` | Payout succeeds. | | `BJ54BJ0610130010130010130010` | Payout fails with a `no_account` code. | | `BJ43BJ0610130020130020130020` | Payout fails with an `account_closed` code. | | `BJ32BJ0610130030130030130030` | Payout fails with a `insufficient_funds` code. | | `BJ21BJ0610130040130040130040` | Payout fails with a `debit_not_authorized` code. | | `BJ10BJ0610130050130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Bosnia and Herzegovina | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ---------------------- | ------------------------------------------------ | | `AAAABABAXXX` | `BA095520001234567812` | Payout succeeds. | | `AAAABABAXXX` | `BA235520000130010130` | Payout fails with a `no_account` code. | | `AAAABABAXXX` | `BA715520000130020130` | Payout fails with an `account_closed` code. | | `AAAABABAXXX` | `BA225520000130030130` | Payout fails with a `insufficient_funds` code. | | `AAAABABAXXX` | `BA705520000130040130` | Payout fails with a `debit_not_authorized` code. | | `AAAABABAXXX` | `BA215520000130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Botswana | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAABWBWXXX` | `012345678912` | Payout succeeds. | | `AAAABWBWXXX` | `001111111116` | Payout fails with a `no_account` code. | | `AAAABWBWXXX` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAABWBWXXX` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAABWBWXXX` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAABWBWXXX` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Brunei | SWIFT / BIC Code | Account number | Behavior | | ---------------- | --------------- | ------------------------------------------------ | | `AAAABNBBXXX` | `0000123456789` | Payout succeeds. | | `AAAABNBBXXX` | `0000000011116` | Payout fails with a `no_account` code. | | `AAAABNBBXXX` | `0000000011113` | Payout fails with an `account_closed` code. | | `AAAABNBBXXX` | `0000000022227` | Payout fails with a `insufficient_funds` code. | | `AAAABNBBXXX` | `0000000033335` | Payout fails with a `debit_not_authorized` code. | | `AAAABNBBXXX` | `0000000044440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Bulgaria | IBAN | Behavior | | ------------------------ | ------------------------------------------------ | | `BG80BNBG96611020345678` | Payout succeeds. | | `BG53BNBG96610130010130` | Payout fails with a `no_account` code. | | `BG04BNBG96610130020130` | Payout fails with an `account_closed` code. | | `BG52BNBG96610130030130` | Payout fails with a `insufficient_funds` code. | | `BG03BNBG96610130040130` | Payout fails with a `debit_not_authorized` code. | | `BG51BNBG96610130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Canada | Institution number | Transit number | Account number | Behavior | | ------------------ | -------------- | -------------- | ------------------------------------------------ | | `000` | `11000` | `000123456789` | Payout succeeds. | | `000` | `11000` | `000111111116` | Payout fails with a `no_account` code. | | `000` | `11000` | `000111111113` | Payout fails with an `account_closed` code. | | `000` | `11000` | `000222222227` | Payout fails with a `insufficient_funds` code. | | `000` | `11000` | `000333333335` | Payout fails with a `debit_not_authorized` code. | | `000` | `11000` | `000444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Côte d'Ivoire | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `CI93CI0080111301134291200589` | Payout succeeds. | | `CI36CI0080130010130010130010` | Payout fails with a `no_account` code. | | `CI25CI0080130020130020130020` | Payout fails with an `account_closed` code. | | `CI14CI0080130030130030130030` | Payout fails with a `insufficient_funds` code. | | `CI03CI0080130040130040130040` | Payout fails with a `debit_not_authorized` code. | | `CI89CI0080130050130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Croatia | IBAN | Behavior | | ----------------------- | ------------------------------------------------ | | `HR7624020064583467589` | Payout succeeds. | | `HR2725000096983499248` | Payout fails with a `no_account` code. | | `HR5724020060130020130` | Payout fails with an `account_closed` code. | | `HR7424020060002222227` | Payout fails with a `insufficient_funds` code. | | `HR5624020060130040130` | Payout fails with a `debit_not_authorized` code. | | `HR0724020060130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Cyprus | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `CY17002001280000001200527600` | Payout succeeds. | | `CY82002001280130010130010130` | Payout fails with a `no_account` code. | | `CY68002001280130020130020130` | Payout fails with an `account_closed` code. | | `CY54002001280130030130030130` | Payout fails with a `insufficient_funds` code. | | `CY40002001280130040130040130` | Payout fails with a `debit_not_authorized` code. | | `CY26002001280130050130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Czech Republic | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `CZ6508000000192000145399` | Payout succeeds. | | `CZ7608000000190130010130` | Payout fails with a `no_account` code. | | `CZ2708000000190130020130` | Payout fails with an `account_closed` code. | | `CZ7508000000190130030130` | Payout fails with a `insufficient_funds` code. | | `CZ2608000000190130040130` | Payout fails with a `debit_not_authorized` code. | | `CZ7408000000190130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Denmark | IBAN | Behavior | | -------------------- | ------------------------------------------------ | | `DK5000400440116243` | Payout succeeds. | | `DK8003450003179681` | Payout fails with a `no_account` code. | | `DK4000400130020130` | Payout fails with an `account_closed` code. | | `DK8800400130030130` | Payout fails with a `insufficient_funds` code. | | `DK3900400130040130` | Payout fails with a `debit_not_authorized` code. | | `DK8700400130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Ecuador | SWIFT / BIC Code | Account | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAAECE1XXX` | `000123456789` | Payout succeeds. | | `AAAAECE1XXX` | `001111111116` | Payout fails with a `no_account` code. | | `AAAAECE1XXX` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAAECE1XXX` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAECE1XXX` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAECE1XXX` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - El Salvador | SWIFT / BIC code | Account number | Behavior | | ---------------- | ------------------------------ | ------------------------------------------------ | | `AAAASVS1XXX` | `SV44BCIE12345678901234567890` | Payout succeeds. | | `AAAASVS1XXX` | `SV59BCIE01300101300101300101` | Payout fails with a `no_account` code. | | `AAAASVS1XXX` | `SV46BCIE01300201300201300201` | Payout fails with an `account_closed` code. | | `AAAASVS1XXX` | `SV33BCIE01300301300301300301` | Payout fails with a `insufficient_funds` code. | | `AAAASVS1XXX` | `SV20BCIE01300401300401300401` | Payout fails with a `debit_not_authorized` code. | | `AAAASVS1XXX` | `SV07BCIE01300501300501300501` | Payout fails with an `invalid_currency` code. | #### Recipient country - Estonia | IBAN | Behavior | | ---------------------- | ------------------------------------------------ | | `EE382200221020145685` | Payout succeeds. | | `EE762200221020145680` | Payout fails with a `no_account` code. | | `EE532200013002013002` | Payout fails with an `account_closed` code. | | `EE672200000002222227` | Payout fails with a `insufficient_funds` code. | | `EE932200013004013004` | Payout fails with a `debit_not_authorized` code. | | `EE162200013005013005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Ethiopia | SWIFT / BIC Code | Account | Behavior | | ---------------- | --------------- | ------------------------------------------------ | | `AAAAETETXXX` | `0000000012345` | Payout succeeds. | | `AAAAETETXXX` | `0011111111112` | Payout fails with a `no_account` code. | | `AAAAETETXXX` | `0022222222223` | Payout fails with an `account_closed` code. | | `AAAAETETXXX` | `0033333333334` | Payout fails with a `insufficient_funds` code. | | `AAAAETETXXX` | `0044444444445` | Payout fails with a `debit_not_authorized` code. | | `AAAAETETXXX` | `0055555555556` | Payout fails with an `invalid_currency` code. | #### Recipient country - Finland | IBAN | Behavior | | -------------------- | ------------------------------------------------ | | `FI2112345600000785` | Payout succeeds. | | `FI9112345600000786` | Payout fails with a `no_account` code. | | `FI1012345601300201` | Payout fails with an `account_closed` code. | | `FI6712345602222227` | Payout fails with a `insufficient_funds` code. | | `FI4212345601300401` | Payout fails with a `debit_not_authorized` code. | | `FI5812345601300501` | Payout fails with an `invalid_currency` code. | #### Recipient country - Gambia | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------------- | ------------------------------------------------ | | `AAAAGMGMXYZ` | `000123000456000789` | Payout succeeds. | | `AAAAGMGMXYZ` | `001000111000111116` | Payout fails with a `no_account` code. | | `AAAAGMGMXYZ` | `001000111000111113` | Payout fails with an `account_closed` code. | | `AAAAGMGMXYZ` | `002000222000222227` | Payout fails with a `insufficient_funds` code. | | `AAAAGMGMXYZ` | `003000333000333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAGMGMXYZ` | `004000444000444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - France | IBAN | Behavior | | ----------------------------- | ------------------------------------------------ | | `FR1420041010050500013M02606` | Payout succeeds. | | `FR8420041010050500013M02607` | Payout fails with a `no_account` code. | | `FR2720041010050130020130020` | Payout fails with an `account_closed` code. | | `FR9720041010050000002222227` | Payout fails with a `insufficient_funds` code. | | `FR3920041010050130040130040` | Payout fails with a `debit_not_authorized` code. | | `FR4520041010050130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Germany | IBAN | Behavior | | ------------------------ | ------------------------------------------------ | | `DE89370400440532013000` | Payout succeeds. | | `DE97370400440130010130` | Payout fails with a `no_account` code. | | `DE48370400440130020130` | Payout fails with an `account_closed` code. | | `DE96370400440130030130` | Payout fails with a `insufficient_funds` code. | | `DE47370400440130040130` | Payout fails with a `debit_not_authorized` code. | | `DE95370400440130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Greece | IBAN | Behavior | | ----------------------------- | ------------------------------------------------ | | `GR1601101250000000012300695` | Payout succeeds. | | `GR3301101250130010130010130` | Payout fails with a `no_account` code. | | `GR1901101250130020130020130` | Payout fails with an `account_closed` code. | | `GR0501101250130030130030130` | Payout fails with a `insufficient_funds` code. | | `GR8801101250130040130040130` | Payout fails with a `debit_not_authorized` code. | | `GR7401101250130050130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Hong Kong | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | -------------- | ------------------------------------------------ | | `110` | `000` | `000123-456` | Payout succeeds. | | `110` | `000` | `111111-116` | Payout fails with a `no_account` code. | | `110` | `000` | `111111-113` | Payout fails with an `account_closed` code. | | `110` | `000` | `222222-227` | Payout fails with a `insufficient_funds` code. | | `110` | `000` | `333333-335` | Payout fails with a `debit_not_authorized` code. | | `110` | `000` | `444444-440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Guatemala | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ------------------------------ | ------------------------------------------------ | | `AAAAGTGCXYZ` | `GT82TRAJ01020000001210029690` | Payout succeeds. | | `AAAAGTGCXYZ` | `GT49TRAJ01000000000000123121` | Payout fails with a `no_account` code. | | `AAAAGTGCXYZ` | `GT22TRAJ01000000000000123122` | Payout fails with an `account_closed` code. | | `AAAAGTGCXYZ` | `GT92TRAJ01000000000000123123` | Payout fails with a `insufficient_funds` code. | | `AAAAGTGCXYZ` | `GT65TRAJ01000000000000123124` | Payout fails with a `debit_not_authorized` code. | | `AAAAGTGCXYZ` | `GT38TRAJ01000000000000123125` | Payout fails with an `invalid_currency` code. | #### Recipient country - Guyana | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | -------------- | ------------------------------------------------ | | `AAAAGYGGXYZ` | `00000000` | `000123456789` | Payout succeeds. | | `AAAAGYGGXYZ` | `00000000` | `001111111116` | Payout fails with a `no_account` code. | | `AAAAGYGGXYZ` | `00000000` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAAGYGGXYZ` | `00000000` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAGYGGXYZ` | `00000000` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAGYGGXYZ` | `00000000` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Hungary | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `HU42117730161111101800000000` | Payout succeeds. | | `HU38117730101300101300101300` | Payout fails with a `no_account` code. | | `HU92117730101300201300201300` | Payout fails with an `account_closed` code. | | `HU49117730101300301300301300` | Payout fails with a `insufficient_funds` code. | | `HU06117730101300401300401300` | Payout fails with a `debit_not_authorized` code. | | `HU60117730101300501300501300` | Payout fails with an `invalid_currency` code. | #### Recipient country - Iceland | IBAN | Behavior | | ---------------------------- | ------------------------------------------------ | | `IS140159260076545510730339` | Payout succeeds. | | `IS210159260130010130010130` | Payout fails with a `no_account` code. | | `IS070159260130020130020130` | Payout fails with an `account_closed` code. | | `IS900159260130030130030130` | Payout fails with a `insufficient_funds` code. | | `IS760159260130040130040130` | Payout fails with a `debit_not_authorized` code. | | `IS620159260130050130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - Indonesia | Routing number | Account | Behavior | | -------------- | -------------- | ------------------------------------------------ | | `000` | `000123456789` | Payout succeeds. | | `000` | `001111111116` | Payout fails with a `no_account` code. | | `000` | `001111111113` | Payout fails with an `account_closed` code. | | `000` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `000` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `000` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - India | Routing number | Account | Behavior | | -------------- | -------------- | ------------------------------------------------ | | `HDFC0000261` | `000123456789` | Payout succeeds. | | `HDFC0000261` | `001111111116` | Payout fails with a `no_account` code. | | `HDFC0000261` | `001111111113` | Payout fails with an `account_closed` code. | | `HDFC0000261` | `002222222227` | Payout fails with an `insufficient_funds` code. | | `HDFC0000261` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `HDFC0000261` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Ireland | IBAN | Behavior | | ------------------------ | ------------------------------------------------ | | `IE29AIBK93115212345678` | Payout succeeds. | | `IE02AIBK93115212345679` | Payout fails with a `no_account` code. | | `IE50AIBK93115201300201` | Payout fails with an `account_closed` code. | | `IE10AIBK93115202222227` | Payout fails with a `insufficient_funds` code. | | `IE82AIBK93115201300401` | Payout fails with a `debit_not_authorized` code. | | `IE98AIBK93115201300501` | Payout fails with an `invalid_currency` code. | #### Recipient country - Israel | IBAN | Behavior | | ------------------------- | ------------------------------------------------ | | `IL620108000000099999999` | Payout succeeds. | | `IL090108000130010130010` | Payout fails with a `no_account` code. | | `IL150108000130020130020` | Payout fails with an `account_closed` code. | | `IL210108000130030130030` | Payout fails with a `insufficient_funds` code. | | `IL270108000130040130040` | Payout fails with a `debit_not_authorized` code. | | `IL330108000130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Italy | IBAN | Behavior | | ----------------------------- | ------------------------------------------------ | | `IT40S0542811101000000123456` | Payout succeeds. | | `IT60X0542811101000000123456` | Payout fails with a `no_account` code. | | `IT47X0542811101013002013002` | Payout fails with an `account_closed` code. | | `IT67X0542811101013003013003` | Payout fails with a `insufficient_funds` code. | | `IT87X0542811101013004013004` | Payout fails with a `debit_not_authorized` code. | | `IT10X0542811101013005013005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Jamaica | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | -------------- | ------------------------------------------------ | | `111` | `00000` | `000123456789` | Payout succeeds. | | `111` | `00000` | `001111111116` | Payout fails with a `no_account` code. | | `111` | `00000` | `001111111113` | Payout fails with an `account_closed` code. | | `111` | `00000` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `111` | `00000` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `111` | `00000` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Jordan | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | -------------------------------- | ------------------------------------------------ | | `AAAAJOJOXXX` | `JO32ABCJ0010123456789012345678` | Payout succeeds. | | `AAAAJOJOXXX` | `JO94CBJO0010000000000131000302` | Payout fails with a `no_account` code. | | `AAAAJOJOXXX` | `JO67CBJO0010000000000131000303` | Payout fails with an `account_closed` code. | | `AAAAJOJOXXX` | `JO60CBJO0010000000000131001302` | Payout fails with a `insufficient_funds` code. | | `AAAAJOJOXXX` | `JO24CBJO0010000000000131000301` | Payout fails with a `debit_not_authorized` code. | | `AAAAJOJOXXX` | `JO51CBJO0010000000000131000300` | Payout fails with an `invalid_currency` code. | #### Recipient country - Kenya | SWIFT / BIC code | Account | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `TESTKENAXXX` | `000123456789` | Payout succeeds. | | `TESTKENAXXX` | `001111111116` | Payout fails with a `no_account` code. | | `TESTKENAXXX` | `001111111113` | Payout fails with an `account_closed` code. | | `TESTKENAXXX` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `TESTKENAXXX` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `TESTKENAXXX` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Kuwait | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | -------------------------------- | ------------------------------------------------ | | `AAAAKWKWXYZ` | `KW81CBKU0000000000001234560101` | Payout succeeds. | | `AAAAKWKWXYZ` | `KW47CBKU1330011330011330011330` | Payout fails with a `no_account` code. | | `AAAAKWKWXYZ` | `KW08CBKU1330021330021330021330` | Payout fails with an `account_closed` code. | | `AAAAKWKWXYZ` | `KW66CBKU1330031330031330031330` | Payout fails with a `insufficient_funds` code. | | `AAAAKWKWXYZ` | `KW27CBKU1330041330041330041330` | Payout fails with a `debit_not_authorized` code. | | `AAAAKWKWXYZ` | `KW85CBKU1330051330051330051330` | Payout fails with an `invalid_currency` code. | #### Recipient country - Latvia | IBAN | Behavior | | ----------------------- | ------------------------------------------------ | | `LV89ABCR1330001330001` | Payout succeeds. | | `LV95ABCR1330011330011` | Payout fails with a `no_account` code. | | `LV04ABCR1330021330021` | Payout fails with an `account_closed` code. | | `LV10ABCR1330031330031` | Payout fails with a `insufficient_funds` code. | | `LV16ABCR1330041330041` | Payout fails with a `debit_not_authorized` code. | | `LV22ABCR1330051330051` | Payout fails with an `invalid_currency` code. | #### Recipient country - Liechtenstein | IBAN | Behavior | | ----------------------- | ------------------------------------------------ | | `LI0508800636123378777` | Payout succeeds. | | `LI1208800143823175626` | Payout fails with a `no_account` code. | | `LI1008800013002013002` | Payout fails with an `account_closed` code. | | `LI2408800000002222227` | Payout fails with a `insufficient_funds` code. | | `LI5008800013004013004` | Payout fails with a `debit_not_authorized` code. | | `LI7008800013005013005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Lithuania | IBAN | Behavior | | ---------------------- | ------------------------------------------------ | | `LT121000011101001000` | Payout succeeds. | | `LT821000011101001001` | Payout fails with a `no_account` code. | | `LT561000001300201300` | Payout fails with an `account_closed` code. | | `LT591000000002222227` | Payout fails with a `insufficient_funds` code. | | `LT461000001300401300` | Payout fails with a `debit_not_authorized` code. | | `LT411000001300501300` | Payout fails with an `invalid_currency` code. | #### Recipient country - Madagascar | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | ----------------------------- | ------------------------------------------------ | | `AAAAMGMGXXX` | `MG4800005000011234567890123` | Payout succeeds. | | `AAAAMGMGXXX` | `MG0200005000011330011330011` | Payout fails with a `no_account` code. | | `AAAAMGMGXXX` | `MG0800005000011330021330021` | Payout fails with an `account_closed` code. | | `AAAAMGMGXXX` | `MG1400005000011330031330031` | Payout fails with a `insufficient_funds` code. | | `AAAAMGMGXXX` | `MG2000005000011330041330041` | Payout fails with a `debit_not_authorized` code. | | `AAAAMGMGXXX` | `MG2600005000011330051330051` | Payout fails with an `invalid_currency` code. | #### Recipient country - Malaysia | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `TESTMYKLXXX` | `000123456000` | Payout succeeds. | | `TESTMYKLXXX` | `111111111116` | Payout fails with a `no_account` code. | | `TESTMYKLXXX` | `111111111113` | Payout fails with an `account_closed` code. | | `TESTMYKLXXX` | `222222222227` | Payout fails with a `insufficient_funds` code. | | `TESTMYKLXXX` | `333333333335` | Payout fails with a `debit_not_authorized` code. | | `TESTMYKLXXX` | `444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Luxembourg | IBAN | Behavior | | ---------------------- | ------------------------------------------------ | | `LU280019400644750000` | Payout succeeds. | | `LU980019400644750001` | Payout fails with a `no_account` code. | | `LU200010130020130020` | Payout fails with an `account_closed` code. | | `LU900010000002222227` | Payout fails with a `insufficient_funds` code. | | `LU320010130040130040` | Payout fails with a `debit_not_authorized` code. | | `LU380010130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Malta | IBAN | Behavior | | --------------------------------- | ------------------------------------------------ | | `MT84MALT011000012345MTLCAST001S` | Payout succeeds. | | `MT41MALT01100013001013001013001` | Payout fails with a `no_account` code. | | `MT69MALT01100013002013002013002` | Payout fails with an `account_closed` code. | | `MT97MALT01100013003013003013003` | Payout fails with a `insufficient_funds` code. | | `MT28MALT01100013004013004013004` | Payout fails with a `debit_not_authorized` code. | | `MT56MALT01100013005013005013005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Mauritius | SWIFT / BIC code | Account number | Behavior | | ---------------- | -------------------------------- | ------------------------------------------------ | | `AAAAMUMUXYZ` | `MU84BOMM0101000000000133001MUR` | Payout succeeds. | | `AAAAMUMUXYZ` | `MU34BOMM0101000000000133002MUR` | Payout fails with a `no_account` code. | | `AAAAMUMUXYZ` | `MU81BOMM0101000000000133003MUR` | Payout fails with an `account_closed` code. | | `AAAAMUMUXYZ` | `MU31BOMM0101000000000133004MUR` | Payout fails with a `insufficient_funds` code. | | `AAAAMUMUXYZ` | `MU78BOMM0101000000000133005MUR` | Payout fails with a `debit_not_authorized` code. | | `AAAAMUMUXYZ` | `MU28BOMM0101000000000133006MUR` | Payout fails with an `invalid_currency` code. | #### Recipient country - Mexico | Account number | Behavior | | -------------------- | ------------------------------------------------ | | `012001123456789014` | Payout succeeds. | | `012001222222222224` | Payout fails with a `no_account` code. | | `012003987654321094` | Payout fails with an `account_closed` code. | | `012456777777777777` | Payout fails with a `insufficient_funds` code. | | `012999202312010012` | Payout fails with a `debit_not_authorized` code. | | `012123555555555556` | Payout fails with an `invalid_currency` code. | #### Recipient country - Moldova | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------------------- | ------------------------------------------------ | | `AAAAMDMDXXX` | `MD07AG123456789012345678` | Payout succeeds. | | `AAAAMDMDXXX` | `MD26BE133001133001133001` | Payout fails with a `no_account` code. | | `AAAAMDMDXXX` | `MD54BE133002133002133002` | Payout fails with an `account_closed` code. | | `AAAAMDMDXXX` | `MD82BE133003133003133003` | Payout fails with a `insufficient_funds` code. | | `AAAAMDMDXXX` | `MD13BE133004133004133004` | Payout fails with a `debit_not_authorized` code. | | `AAAAMDMDXXX` | `MD41BE133005133005133005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Morocco | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | ------------------------------ | ------------------------------------------------ | | `AAAAMAMAXXX` | `MA64011519000001205000534921` | Payout succeeds. | | `AAAAMAMAXXX` | `MA87005133001133001133001133` | Payout fails with a `no_account` code. | | `AAAAMAMAXXX` | `MA54005133002133002133002133` | Payout fails with an `account_closed` code. | | `AAAAMAMAXXX` | `MA21005133003133003133003133` | Payout fails with a `insufficient_funds` code. | | `AAAAMAMAXXX` | `MA85005133004133004133004133` | Payout fails with a `debit_not_authorized` code. | | `AAAAMAMAXXX` | `MA52005133005133005133005133` | Payout fails with an `invalid_currency` code. | #### Recipient country - Mongolia | SWIFT / BIC code | Account | Behavior | | ---------------- | ------------ | ------------------------------------------------ | | `AAAAMNUBXXX` | `0002222001` | Payout succeeds. | | `AAAAMNUBXXX` | `0002222002` | Payout fails with a `no_account` code. | | `AAAAMNUBXXX` | `0002222003` | Payout fails with an `account_closed` code. | | `AAAAMNUBXXX` | `0002222004` | Payout fails with a `insufficient_funds` code. | | `AAAAMNUBXXX` | `0002222005` | Payout fails with a `debit_not_authorized` code. | | `AAAAMNUBXXX` | `0002222006` | Payout fails with an `invalid_currency` code. | #### Recipient country - Mozambique | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ----------------------- | ------------------------------------------------ | | `AAAAMZMXXXX` | `001234567890123456789` | Payout succeeds. | | `AAAAMZMXXXX` | `000000111111111111116` | Payout fails with a `no_account` code. | | `AAAAMZMXXXX` | `000000111111111111113` | Payout fails with an `account_closed` code. | | `AAAAMZMXXXX` | `000000222222222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAMZMXXXX` | `000000333333333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAMZMXXXX` | `000000444444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Namibia | SWIFT / BIC code | Account | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAANANXXYZ` | `000123456789` | Payout succeeds. | | `AAAANANXXYZ` | `001111111116` | Payout fails with a `no_account` code. | | `AAAANANXXYZ` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAANANXXYZ` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAANANXXYZ` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAANANXXYZ` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Netherlands | IBAN | Behavior | | -------------------- | ------------------------------------------------ | | `NL39RABO0300065264` | Payout succeeds. | | `NL91ABNA0417164300` | Payout fails with a `no_account` code. | | `NL10RABO0130020130` | Payout fails with an `account_closed` code. | | `NL03RABO1330011330` | Payout fails with a `insufficient_funds` code. | | `NL09RABO0130040130` | Payout fails with a `debit_not_authorized` code. | | `NL57RABO0130050130` | Payout fails with an `invalid_currency` code. | #### Recipient country - New Zealand | Account number | Behavior | | ------------------ | ------------------------------------------------ | | `1100000000000010` | Payout succeeds. | | `1100001111111016` | Payout fails with a `no_account` code. | | `1100001111111013` | Payout fails with an `account_closed` code. | | `1100002222222027` | Payout fails with a `insufficient_funds` code. | | `1100003333333035` | Payout fails with a `debit_not_authorized` code. | | `1100004444444040` | Payout fails with an `invalid_currency` code. | #### Recipient country - North Macedonia | SWIFT / BIC Code | Account number | Behavior | | ---------------- | --------------------- | ------------------------------------------------ | | `AAAAMK2XXXX` | `MK49250120000058907` | Payout succeeds. | | `AAAAMK2XXXX` | `MK61320133001133001` | Payout fails with a `no_account` code. | | `AAAAMK2XXXX` | `MK81320133002133002` | Payout fails with an `account_closed` code. | | `AAAAMK2XXXX` | `MK04320133003133003` | Payout fails with a `insufficient_funds` code. | | `AAAAMK2XXXX` | `MK24320133004133004` | Payout fails with a `debit_not_authorized` code. | | `AAAAMK2XXXX` | `MK44320133005133005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Norway | IBAN | Behavior | | ----------------- | ------------------------------------------------ | | `NO9386011117947` | Payout succeeds. | | `NO6686011117948` | Payout fails with a `no_account` code. | | `NO9286010130020` | Payout fails with an `account_closed` code. | | `NO2631081330011` | Payout fails with a `insufficient_funds` code. | | `NO3786010130040` | Payout fails with a `debit_not_authorized` code. | | `NO5886010130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Oman | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAAOMOMXXX` | `000123456789` | Payout succeeds. | | `AAAAOMOMXXX` | `001111111116` | Payout fails with a `no_account` code. | | `AAAAOMOMXXX` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAAOMOMXXX` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAOMOMXXX` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAOMOMXXX` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Panama | SWIFT / BIC code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAAPAPAXXX` | `000123456789` | Payout succeeds. | | `AAAAPAPAXXX` | `001111111116` | Payout fails with a `no_account` code. | | `AAAAPAPAXXX` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAAPAPAXXX` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAAPAPAXXX` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAAPAPAXXX` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Peru | Account number | Behavior | | ---------------------- | ------------------------------------------------ | | `99934500012345670024` | Payout succeeds. | | `99934500012345670122` | Payout fails with a `no_account` code. | | `99934500012345670220` | Payout fails with an `account_closed` code. | | `99934500012345670328` | Payout fails with a `insufficient_funds` code. | | `99934500012345670426` | Payout fails with a `debit_not_authorized` code. | | `99934500012345670523` | Payout fails with an `invalid_currency` code. | #### Recipient country - The Philippines | SWIFT / BIC code | Account | Behavior | | ---------------- | ------------------- | ------------------------------------------------ | | `BCDEFGHI123` | `01567890123456789` | Payout succeeds. | | `BCDEFGHI123` | `45111111111111116` | Payout fails with a `no_account` code. | | `BCDEFGHI123` | `45111111111111113` | Payout fails with an `account_closed` code. | | `BCDEFGHI123` | `45222222222222227` | Payout fails with a `insufficient_funds` code. | | `BCDEFGHI123` | `45333333333333335` | Payout fails with a `debit_not_authorized` code. | | `BCDEFGHI123` | `45444444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Poland | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `PL42167010431330001330001330` | Payout succeeds. | | `PL28167010431330011330011330` | Payout fails with a `no_account` code. | | `PL14167010431330021330021330` | Payout fails with an `account_closed` code. | | `PL97167010431330031330031330` | Payout fails with a `insufficient_funds` code. | | `PL83167010431330041330041330` | Payout fails with a `debit_not_authorized` code. | | `PL69167010431330051330051330` | Payout fails with an `invalid_currency` code. | #### Recipient country - Qatar | SWIFT / BIC Code | IBAN | Behavior | | ---------------- | ------------------------------- | ------------------------------------------------ | | `AAAAQAQAXXX` | `QA87CITI123456789012345678901` | Payout succeeds. | | `AAAAQAQAXXX` | `QA13BNPA133001133001133001133` | Payout fails with a `no_account` code. | | `AAAAQAQAXXX` | `QA77BNPA133002133002133002133` | Payout fails with an `account_closed` code. | | `AAAAQAQAXXX` | `QA44BNPA133003133003133003133` | Payout fails with a `insufficient_funds` code. | | `AAAAQAQAXXX` | `QA11BNPA133004133004133004133` | Payout fails with a `debit_not_authorized` code. | | `AAAAQAQAXXX` | `QA75BNPA133005133005133005133` | Payout fails with an `invalid_currency` code. | #### Recipient country - Portugal | IBAN | Behavior | | --------------------------- | ------------------------------------------------ | | `PT03003203471330001330001` | Payout succeeds. | | `PT09003203471330011330011` | Payout fails with a `no_account` code. | | `PT15003203471330021330021` | Payout fails with an `account_closed` code. | | `PT21003203471330031330031` | Payout fails with a `insufficient_funds` code. | | `PT27003203471330041330041` | Payout fails with a `debit_not_authorized` code. | | `PT33003203471330051330051` | Payout fails with an `invalid_currency` code. | #### Recipient country - Rwanda | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAARWRWXXX` | `000123456789` | Payout succeeds. | | `AAAARWRWXXX` | `111111111116` | Payout fails with a `no_account` code. | | `AAAARWRWXXX` | `111111111113` | Payout fails with an `account_closed` code. | | `AAAARWRWXXX` | `222222222227` | Payout fails with a `insufficient_funds` code. | | `AAAARWRWXXX` | `333333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAARWRWXXX` | `444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Saint Lucia | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAALCLCXYZ` | `000123456789` | Payout succeeds. | | `AAAALCLCXYZ` | `001111111116` | Payout fails with a `no_account` code. | | `AAAALCLCXYZ` | `001111111113` | Payout fails with an `account_closed` code. | | `AAAALCLCXYZ` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `AAAALCLCXYZ` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAALCLCXYZ` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Romania | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `RO15BACX1330001330001330` | Payout succeeds. | | `RO98BACX1330011330011330` | Payout fails with a `no_account` code. | | `RO84BACX1330021330021330` | Payout fails with an `account_closed` code. | | `RO70BACX1330031330031330` | Payout fails with a `insufficient_funds` code. | | `RO56BACX1330041330041330` | Payout fails with a `debit_not_authorized` code. | | `RO42BACX1330051330051330` | Payout fails with an `invalid_currency` code. | #### Recipient country - Senegal | IBAN | Behavior | | ------------------------------ | ------------------------------------------------ | | `SN08SN0100152000048500003035` | Payout succeeds. | | `SN44SN0100130010130010130010` | Payout fails with a `no_account` code. | | `SN33SN0100130020130020130020` | Payout fails with an `account_closed` code. | | `SN22SN0100130030130030130030` | Payout fails with a `insufficient_funds` code. | | `SN11SN0100130040130040130040` | Payout fails with a `debit_not_authorized` code. | | `SN97SN0100130050130050130050` | Payout fails with an `invalid_currency` code. | #### Recipient country - Serbia | SWIFT / BIC code | Account number | Behavior | | ---------------- | ------------------------ | ------------------------------------------------ | | `TESTSERBXXX` | `RS35105008123123123173` | Payout succeeds. | | `TESTSERBXXX` | `RS36105013001013001013` | Payout fails with a `no_account` code. | | `TESTSERBXXX` | `RS54105013002013002013` | Payout fails with an `account_closed` code. | | `TESTSERBXXX` | `RS72105013003013003013` | Payout fails with a `insufficient_funds` code. | | `TESTSERBXXX` | `RS90105013004013004013` | Payout fails with a `debit_not_authorized` code. | | `TESTSERBXXX` | `RS11105013005013005013` | Payout fails with an `invalid_currency` code. | #### Recipient country - Singapore | Branch code | Bank code | Account number | Behavior | | ----------- | --------- | -------------- | ------------------------------------------------ | | `000` | `1100` | `000123456` | Payout succeeds. | | `000` | `1100` | `111111116` | Payout fails with a `no_account` code. | | `000` | `1100` | `111111113` | Payout fails with an `account_closed` code. | | `000` | `1100` | `222222227` | Payout fails with a `insufficient_funds` code. | | `000` | `1100` | `333333335` | Payout fails with a `debit_not_authorized` code. | | `000` | `1100` | `444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Slovakia | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `SK6383501330001330001330` | Payout succeeds. | | `SK4983501330011330011330` | Payout fails with a `no_account` code. | | `SK3583501330021330021330` | Payout fails with an `account_closed` code. | | `SK2183501330031330031330` | Payout fails with a `insufficient_funds` code. | | `SK0783501330041330041330` | Payout fails with a `debit_not_authorized` code. | | `SK9083501330051330051330` | Payout fails with an `invalid_currency` code. | #### Recipient country - Slovenia | IBAN | Behavior | | --------------------- | ------------------------------------------------ | | `SI15290000000133000` | Payout succeeds. | | `SI85290000000133001` | Payout fails with a `no_account` code. | | `SI58290000000133002` | Payout fails with an `account_closed` code. | | `SI31290000000133003` | Payout fails with a `insufficient_funds` code. | | `SI04290000000133004` | Payout fails with a `debit_not_authorized` code. | | `SI74290000000133005` | Payout fails with an `invalid_currency` code. | #### Recipient country - South Afrika | SWIFT / BIC code | IBAN | Behavior | | ---------------- | ----------- | ------------------------------------------------ | | `ZAZAZAZAXXX` | `000001234` | Payout succeeds. | | `ZAZAZAZAXXX` | `000011116` | Payout fails with a `no_account` code. | | `ZAZAZAZAXXX` | `000011113` | Payout fails with an `account_closed` code. | | `ZAZAZAZAXXX` | `000022227` | Payout fails with a `insufficient_funds` code. | | `ZAZAZAZAXXX` | `000033335` | Payout fails with a `debit_not_authorized` code. | | `ZAZAZAZAXXX` | `000044440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Spain | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `ES5720590700133000133000` | Payout succeeds. | | `ES7720590700133001133001` | Payout fails with a `no_account` code. | | `ES9720590700133002133002` | Payout fails with an `account_closed` code. | | `ES2020590700133003133003` | Payout fails with a `insufficient_funds` code. | | `ES4020590700133004133004` | Payout fails with a `debit_not_authorized` code. | | `ES6020590700133005133005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Sri Lanka | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | -------------- | ------------------------------------------------ | | `AAAALKLXXXX` | `7010999` | `0000012345` | Payout succeeds. | | `AAAALKLXXXX` | `7010999` | `0011111112` | Payout fails with a `no_account` code. | | `AAAALKLXXXX` | `7010999` | `0022222223` | Payout fails with an `account_closed` code. | | `AAAALKLXXXX` | `7010999` | `0033333334` | Payout fails with a `insufficient_funds` code. | | `AAAALKLXXXX` | `7010999` | `0044444445` | Payout fails with a `debit_not_authorized` code. | | `AAAALKLXXXX` | `7010999` | `0055555556` | Payout fails with an `invalid_currency` code. | #### Recipient country - Sweden | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `SE3550000000054910000003` | Payout succeeds. | | `SE0850000000054910000004` | Payout fails with a `no_account` code. | | `SE6750001300201300201300` | Payout fails with an `account_closed` code. | | `SE0550013300113300113300` | Payout fails with a `insufficient_funds` code. | | `SE7850001300401300401300` | Payout fails with a `debit_not_authorized` code. | | `SE3550001300501300501300` | Payout fails with an `invalid_currency` code. | #### Recipient country - Thailand | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | -------------- | ------------------------------------------------ | | `999` | `0001` | `000123456789` | Payout succeeds. | | `999` | `0001` | `001111111116` | Payout fails with a `no_account` code. | | `999` | `0001` | `001111111113` | Payout fails with an `account_closed` code. | | `999` | `0001` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `999` | `0001` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `999` | `0001` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Trinidad and Tobago | Routing number | Branch number | Account number | Behavior | | -------------- | ------------- | ------------------- | ------------------------------------------------ | | `999` | `00001` | `00567890123456789` | Payout succeeds. | | `999` | `00001` | `00111111111111116` | Payout fails with a `no_account` code. | | `999` | `00001` | `00111111111111113` | Payout fails with an `account_closed` code. | | `999` | `00001` | `00222222222222227` | Payout fails with a `insufficient_funds` code. | | `999` | `00001` | `00333333333333335` | Payout fails with a `debit_not_authorized` code. | | `999` | `00001` | `00444444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Switzerland | IBAN | Behavior | | ----------------------- | ------------------------------------------------ | | `CH7308827000000133000` | Payout succeeds. | | `CH4608827000000133001` | Payout fails with a `no_account` code. | | `CH1908827000000133002` | Payout fails with an `account_closed` code. | | `CH8908827000000133003` | Payout fails with a `insufficient_funds` code. | | `CH6208827000000133004` | Payout fails with a `debit_not_authorized` code. | | `CH3508827000000133005` | Payout fails with an `invalid_currency` code. | #### Recipient country - Taiwan | SWIFT / BIC Code | Account number | Behavior | | ---------------- | -------------- | ------------------------------------------------ | | `AAAATWTXXXX` | `0001234567` | Payout succeeds. | | `AAAATWTXXXX` | `1111111116` | Payout fails with a `no_account` code. | | `AAAATWTXXXX` | `1111111113` | Payout fails with an `account_closed` code. | | `AAAATWTXXXX` | `2222222227` | Payout fails with a `insufficient_funds` code. | | `AAAATWTXXXX` | `3333333335` | Payout fails with a `debit_not_authorized` code. | | `AAAATWTXXXX` | `4444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Tanzania | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ---------------- | ------------------------------------------------ | | `AAAATZTXXXX` | `0000123456789` | Payout succeeds. | | `AAAATZTXXXX` | `1111111111166` | Payout fails with a `no_account` code. | | `AAAATZTXXXX` | `111111111133` | Payout fails with an `account_closed` code. | | `AAAATZTXXXX` | `2222222222278` | Payout fails with a `insufficient_funds` code. | | `AAAATZTXXXX` | `33333333333569` | Payout fails with a `debit_not_authorized` code. | | `AAAATZTXXXX` | `4444444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Tunisia | IBAN | Behavior | | -------------------------- | ------------------------------------------------ | | `TN5904018104004942712345` | Payout succeeds. | | `TN9604018013001013001013` | Payout fails with a `no_account` code. | | `TN1704018013002013002013` | Payout fails with an `account_closed` code. | | `TN3504018013003013003013` | Payout fails with a `insufficient_funds` code. | | `TN5304018013004013004013` | Payout fails with a `debit_not_authorized` code. | | `TN7104018013005013005013` | Payout fails with an `invalid_currency` code. | #### Recipient country - United Arab Emirates | IBAN | Behavior | | ------------------------- | ------------------------------------------------ | | `AE070331234567890123456` | Payout succeeds. | | `AE620260000000000121111` | Payout fails with a `no_account` code. | | `AE350260000000000121112` | Payout fails with an `account_closed` code. | | `AE080260000000000121113` | Payout fails with a `insufficient_funds` code. | | `AE780260000000000121114` | Payout fails with a `debit_not_authorized` code. | | `AE510260000000000121115` | Payout fails with an `invalid_currency` code. | #### Recipient country - Turkiye | SWIFT / BIC Code | Account number | Behavior | | ---------------- | ---------------------------- | ------------------------------------------------ | | `AAAATRISXXX` | `TR560020813300013300013300` | Payout succeeds. | | `AAAATRISXXX` | `TR130020813300113300113300` | Payout fails with a `no_account` code. | | `AAAATRISXXX` | `TR670020813300213300213300` | Payout fails with an `account_closed` code. | | `AAAATRISXXX` | `TR240020813300313300313300` | Payout fails with a `insufficient_funds` code. | | `AAAATRISXXX` | `TR780020813300413300413300` | Payout fails with a `debit_not_authorized` code. | | `AAAATRISXXX` | `TR350020813300513300513300` | Payout fails with an `invalid_currency` code. | #### Recipient country - United Kingdom | Sort Code | Account number | Behavior | | --------- | -------------- | ------------------------------------------------ | | `108800` | `00012345` | Payout succeeds. | | `108800` | `11111116` | Payout fails with a `no_account` code. | | `108800` | `11111113` | Payout fails with an `account_closed` code. | | `108800` | `22222227` | Payout fails with a `insufficient_funds` code. | | `108800` | `33333335` | Payout fails with a `debit_not_authorized` code. | | `108800` | `44444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - Vietnam | Routing number | Account number | Behavior | | -------------- | -------------- | ------------------------------------------------ | | `01101100` | `000123456789` | Payout succeeds. | | `01101100` | `001111111116` | Payout fails with a `no_account` code. | | `01101100` | `001111111113` | Payout fails with an `account_closed` code. | | `01101100` | `002222222227` | Payout fails with a `insufficient_funds` code. | | `01101100` | `003333333335` | Payout fails with a `debit_not_authorized` code. | | `01101100` | `004444444440` | Payout fails with an `invalid_currency` code. | #### Recipient country - United States | Routing number | Account number | Behavior | | -------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `110000000` | 000123456789 | Creates a US bank account with both the local and wire outbound flow enabled. OutboundPayments or OutboundTransfers to this account succeed. Use the routing number listed here as the `fedwire_routing_number` to test wire payouts. | | `110000000` | `000111111113` | OutboundPayments or OutboundTransfers to this account transition to `returned`. | | `110000000` | `000111111112` | OutboundPayments or OutboundTransfers to this account transition to `failed`. | | `110000000` | `000414141416` | Creates a US bank account that fails with an error code `blocked_us_bank_account`. | | `110000000` | `007123456789` | Creates a US bank account (ACH only) with the local outbound flow enabled. OutboundPayments or OutboundTransfers to this account succeed. | | `110000000` | `000666666662` | Creates a US bank account with local outbound flow enabled. OutboundPayments or OutboundTransfers to this account remain in `pending` state. | | `110000000` | `000888888883` | Creates a US bank account that doesn’t support instant OutboundPayments. Instant OutboundPayments to this account fail with `delivery_option_not_supported`. | ### Test check signatures Use the following test signature values in the `delivery_options.paper_check.signature` field to simulate different check send outcomes in your sandbox. All other signature values result in an error. | Signature | Behavior | | --------------------------- | ---------------------------------------------------------------------- | | `paper_check_success` | OutboundPayment succeeds. | | `paper_check_expired` | OutboundPayment fails with failure reason `paper_check_expired`. | | `paper_check_undeliverable` | OutboundPayment fails with failure reason `paper_check_undeliverable`. |